Blackout on a Live Channel
Configure blackout on a live channel, set up a media player, set a viewer's location, and handle live linear programming.
Live Channel
Set up a blackout configuration on a live channel by:
- Identifying when blackout should be triggered via a blackout ID.
- Associating blackout logic with the above blackout ID by adding blackout rules to it.
Configure Blackout on a Live Channel
-
Navigate to the Audiences page (Live Channels > Audiences).
-
Perform either of the following:
- Create a live channel by selecting + Create Channel, assigning it a name, and then selecting Create & Edit.
- Select an existing live channel.
-
Select the Blackout tab.
-
Associate a blackout ID and blackout rules with the live channel.
- Select + Add Blackout ID.
- In the Blackout ID option, enter the blackout ID that identifies programming that should be blacked out. Learn how to tag programming with a blackout ID.
- In the Description option, enter a brief description for this blackout configuration.
- In the Rules option, select a blackout rule that identifies the audience and the alternate content that should be streamed when programming has been tagged with the above blackout ID. Select >.
- Repeat the previous step as needed.
- Select Done when you have added all of the desired blackout rules.
- Repeat the previous step for each desired blackout ID.
-
Select Save to update the live channel configuration with these changes.
Set up a Media Player
Standard programming is broadcast to all users unless blackout is invoked in the playback URL.
Set up a media player to leverage blackouts by including the following query string parameter in the playback URL: repl=aboi
Use a test player URL to quickly test your blackout configuration.
Sample Playback URL:
https://content.uplynk.com/player5/6ZpnSRiEmjj3fMdnzDaV00sc.html?repl=aboi
Set a Viewer's Location or Device
By default, a viewer's location is determined by IP address. However, a device's location services provide more accurate location information. Therefore, it is strongly recommended to override automatic location detection by including location information derived from the playback device. This information may then be set on the playback session by assigning it a DMA, zip code, and/or an IP address. Any applicable blackout zones are assigned to the playback session based on this information.
Set a viewer's location or device by passing one or more of the following query string parameters to the playback URL:
| Type | Parameter | Description |
|---|---|---|
| Country Code | repl.cbcc={Country Code} | Overrides automatic location detection and assigns the country code to the viewer's playback session. Replace Country Code with the desired country code as defined here. |
| Device | repl.cbdevice={Device Name} | Defines the name or description of the device used for the viewer's playback session. Replace {Device Name} with the name or a brief description of the desired device. This value will be compared against the devices defined within applicable audience configurations. |
| DMA | repl.cbdma={DMA ID} | Overrides automatic location detection and assigns a DMA to the viewer's playback session. Replace {DMA ID} with the ID of the desired DMA. Request Nielsen DMA data. |
| IP Address | repl.cbip={IP Address} | Overrides automatic location detection and assigns an IP address to the viewer's playback session. Replace {IP Address} with the desired IP address (IPv4) or subnet (CIDR notation). |
| Zip Code | repl.cbzip={Zip Code} | Overrides automatic location detection and assigns a zip code to the viewer's playback session. Replace {Zip Code} with the desired 5 digit United States zip code. |
Sample playback URL:
https://content.uplynk.com/player5/6ZpnSRiEmjj3fMdnzDaV00sc.html?repl=aboi&repl.cbdma=803&repl.cbzip=90405
Live Linear Programming
An alternative method for triggering blackout is via a SCTE-35 message. Please contact Technical Support for more information.
You can apply blackout to a program or an asset within a live channel. The method varies according to whether it is being applied to a program or an asset. However, both methods require a blackout ID (blackout_id) to be associated with the program or asset. This ID identifies the logic through which blackout is applied. Specifically, a live channel's configuration associates a blackout ID with one or more blackout rules. Each blackout rule defines the set of viewers that will be blacked out via an audience and the alternate content streamed instead of the regularly scheduled program.
The first applicable blackout rule determines the alternate content that will be streamed.
Apply Blackout to a Program
Setting up blackout for use with a program requires assigning it a blackout ID. Set a blackout ID at the start of a program via the content_start method. This method accepts the meta request body parameter, which allows metadata to be associated with the program being initiated. Set the blackout_id metadata field to the desired blackout ID.
Example:
POST /content_start HTTP/1.1
{
"meta": {
"blackout_id": "br1"
},
"start_timecode": "00:15:21;09",
"title": "Title",
"external_id": "1A"
}Apply Blackout to an Asset
Blackout is only enforced on live channels. Therefore, blackout is only applied to on-demand content when a viewer streams it via a live channel.
You can only apply blackout to assets that have been assigned a blackout ID (blackout_id). No further configuration is required once this ID has been defined.
Assign a Blackout ID to an Asset
-
From the Content tab, select the desired asset.
-
Select + Metadata.
-
In the Enter a key name option, enter
"blackout_id". -
Select Add.
-
Set the new
blackout_idmetadata field to the desired blackout ID. -
Select Save.
Updated about 2 hours ago